21 Replies Latest reply on Sep 11, 2008 4:40 PM by Phillipz

    AIR 1.0 System Requirements

    jonheal
      I have the AIR beta 3 installed and running fine on an old G3 iMac. 1.0 installer fails, presumably because the system requirements have increased.

      I REALLY would like to get AIR running permanently on the G3. I don't care how crappy it runs, I jsut want it running. I find it odd that the system requirements have increased since the 3.0 beta.

      Is there anything I can change in the installer package to "trick" the installer into completing the installation process on the G3.
        • 1. Re: AIR 1.0 System Requirements
          Oliver Goldman Adobe Employee
          AIR will run on a G3 so long as it's running 10.4.9 or later.

          Oliver Goldman | Adobe AIR Engineering

          • 2. Re: AIR 1.0 System Requirements
            jonheal Level 1
            I may have messed things up by accidentally attempting to install 1.0 on top of the 3.0 beta. Subsequently, I unistalled the 3.0 beta, but the 1.0 installer still crashes. A portion of the crash log is listed below. This text box won't accept the entire thing:

            =========================================================
            Date/Time: 2008-03-02 20:29:47.989 -0500
            OS Version: 10.4.11 (Build 8S165)
            Report Version: 4


            Command: Adobe AIR Installer
            Path: /Volumes/Adobe AIR/Adobe AIR Installer.app/Contents/MacOS/Adobe AIR Installer
            Parent: WindowServer [56]


            Version: 1.0 (1.0.7.4880)


            PID: 532
            Thread: 0


            Exception: EXC_BAD_INSTRUCTION (0x0002)
            Code[0]: 0x00000002
            Code[1]: 0x02d82a90




            Thread 0 Crashed:
            0 com.adobe.AIR 0x02d82a90 0x296b000 + 4291216
            1 com.adobe.AIR 0x02984cac 0x296b000 + 105644
            2 com.adobe.AIR 0x0299a590 0x296b000 + 193936
            3 com.adobe.AIR 0x029d6158 0x296b000 + 438616
            4 com.adobe.AIR 0x029df7b4 0x296b000 + 477108
            5 com.adobe.AIR 0x02981ba8 0x296b000 + 93096
            6 com.adobe.AIR 0x0299f984 0x296b000 + 215428
            7 com.adobe.AIR 0x02a1c4b0 0x296b000 + 726192
            8 com.adobe.AIR 0x02b5aea0 0x296b000 + 2031264
            9 com.adobe.AIR 0x02b5b31c 0x296b000 + 2032412
            10 com.adobe.AIR 0x031f4488 0x296b000 + 8950920
            11 com.adobe.AIR 0x02a3a274 0x296b000 + 848500
            12 com.adobe.AIR 0x02a3a408 0x296b000 + 848904
            13 com.adobe.AIR 0x02a44914 0x296b000 + 891156
            14 com.apple.Foundation 0x92bf392c __NSFireMainThreadPerform + 276
            15 com.apple.CoreFoundation 0x9080f91c __CFRunLoopPerformPerform + 104
            16 com.apple.CoreFoundation 0x907df30c __CFRunLoopDoSources0 + 384
            17 com.apple.CoreFoundation 0x907de83c __CFRunLoopRun + 452
            18 com.apple.CoreFoundation 0x907de2bc CFRunLoopRunSpecific + 268
            19 com.apple.HIToolbox 0x9329db20 RunCurrentEventLoopInMode + 264
            20 com.apple.HIToolbox 0x9329d1b4 ReceiveNextEventCommon + 380
            21 com.apple.HIToolbox 0x9329d020 BlockUntilNextEventMatchingListInMode + 96
            22 com.apple.AppKit 0x93782bc4 _DPSNextEvent + 384
            23 com.apple.AppKit 0x93782888 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 116
            24 com.apple.AppKit 0x9377edcc -[NSApplication run] + 472
            25 com.adobe.AIR 0x029732c8 0x296b000 + 33480
            26 com.adobe.AIR 0x029736cc 0x296b000 + 34508
            27 com.adobe.air.Installer 0x00004464 RuntimeAppMain(char const*, int) + 180
            28 com.adobe.air.Installer 0x00004704 main + 72
            29 com.adobe.air.Installer 0x00002ec0 _start + 760
            30 com.adobe.air.Installer 0x00002bc4 start + 48


            Thread 1:
            0 libSystem.B.dylib 0x9000b348 mach_msg_trap + 8
            1 libSystem.B.dylib 0x9000b29c mach_msg + 60
            2 com.adobe.AIR 0x02cbab3c 0x296b000 + 3472188
            3 libSystem.B.dylib 0x9002bd08 _pthread_body + 96


            Thread 2:
            0 libSystem.B.dylib 0x9002c3c8 semaphore_wait_signal_trap + 8
            1 libSystem.B.dylib 0x90030eac pthread_cond_wait + 480
            2 com.adobe.AIR 0x02a92bec 0x296b000 + 1211372
            3 com.adobe.AIR 0x02ce1a20 0x296b000 + 3631648
            4 com.adobe.AIR 0x02a92638 0x296b000 + 1209912
            5 com.adobe.AIR 0x02a92708 0x296b000 + 1210120
            6 libSystem.B.dylib 0x9002bd08 _pthread_body + 96


            Thread 3:
            0 libSystem.B.dylib 0x9002c3c8 semaphore_wait_signal_trap + 8
            1 libSystem.B.dylib 0x90030eac pthread_cond_wait + 480
            2 com.apple.Foundation 0x92be95d4 -[NSConditionLock lock] + 52
            3 com.apple.Foundation 0x92bf3770 -[NSObject(NSMainThreadPerformAdditions) performSelectorOnMainThread:withObject:waitUntilDone:modes:] + 780
            4 com.apple.Foundation 0x92bf3444 -[NSObject(NSMainThreadPerformAdditions) performSelectorOnMainThread:withObject:waitUntilDone:] + 120
            5 com.adobe.AIR 0x02a44970 0x296b000 + 891248
            6 com.adobe.AIR 0x02a44a0c 0x296b000 + 891404
            7 com.adobe.AIR 0x02a399ac 0x296b000 + 846252
            8 com.adobe.AIR 0x02b5c890 0x296b000 + 2037904
            9 com.adobe.AIR 0x02b5ccac 0x296b000 + 2038956
            10 com.adobe.AIR 0x02b5ce18 0x296b000 + 2039320
            11 com.adobe.AIR 0x02a92638 0x296b000 + 1209912
            12 com.adobe.AIR 0x02a92708 0x296b000 + 1210120
            13 libSystem.B.dylib 0x9002bd08 _pthread_body + 96


            Thread 0 crashed with PPC Thread State 64:
            srr0: 0x0000000002d82a90 srr1: 0x000000000008f030 vrsave: 0x0000000000000000
            cr: 0x24028224 xer: 0x0000000000000008 lr: 0x0000000002ba9f40 ctr: 0x0000000002d82a90
            r0: 0x0000000002ba9f40 r1: 0x00000000bfffd8a0 r2: 0x00000000a0001fac r3: 0x0000000000340fb0
            r4: 0x00000000030df2a4 r5: 0x0000000000000000 r6: 0x00000000000007d0 r7: 0x0000000000000000
            r8: 0x00000000000007d0 r9: 0x00000000000007d0 r10: 0x00000000000007d0 r11: 0x0000000000000001
            r12: 0x0000000002d82a90 r13: 0x0000000000000000 r14: 0x0000000000000001 r15: 0x0000000000000001
            r16: 0x0000000000000000 r17: 0x0000000000000000 r18: 0x0000000000005107 r19: 0x0000000000000000
            r20: 0x0000000015ca31e8 r21: 0x00000000ed029d47 r22: 0x0000000000000001 r23: 0x000000000036ee80
            r24: 0x0000000000000001 r25: 0x00000000038de78c r26: 0x0000000000000000 r27: 0x0000000000000001
            r28: 0x00000000038de768 r29: 0x00000000bfffd938 r30: 0x0000000000000000 r31: 0x0000000002ba9ef0


            Binary Images Description:
            0x1000 - 0x4fff com.adobe.air.Installer 1.0 (1.0.7.4880) /Volumes/Adobe AIR/Adobe AIR Installer.app/Contents/MacOS/Adobe AIR Installer
            0x296b000 - 0x33d2fff com.adobe.AIR 1.0 (1.0.7.4880) /Volumes/Adobe AIR/Adobe AIR Installer.app/Contents/Frameworks/Adobe AIR.framework/Versions/1.0/Adobe AIR
            0x8fe00000 - 0x8fe52fff dyld 46.16 /usr/lib/dyld
            0x90000000 - 0x901bcfff libSystem.B.dylib /usr/lib/libSystem.B.dylib
            0x90214000 - 0x90219fff libmathCommon.A.dylib /usr/lib/system/libmathCommon.A.dylib
            0x9021b000 - 0x90268fff com.apple.CoreText 1.0.4 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.f ramework/Versions/A/CoreText
            0x90293000 - 0x90344fff ATS /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framew ork/Versions/A/ATS
            0x90373000 - 0x9072efff com.apple.CoreGraphics 1.258.77 (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphi cs.framework/Versions/A/CoreGraphics

            ...
            • 3. Re: AIR 1.0 System Requirements
              jonheal Level 1
              Well, I've tried about everything I can think of.

              BTW, I'm running 10.4.11 on the G3. Admittedly, it's a pretty pitiful excuse for a computer with a 450MHz G3 and 256MB of RAM, but like I said before, AIR BETA 3 runs fine.

              Anyway, I reinstalled and unistalled the BETA 3 version about five times. I also tried unistalling FLEX BETA. I also searched Spotlight for "Air" an came up with a few dangling things the Unistaller left behind. I deleted 'em. Still no inner peace.

              Any ideas?
              • 4. Re: AIR 1.0 System Requirements
                Oliver Goldman Adobe Employee
                This looks like it may be a new issue; we've opened a bug on it. Any chance you can provide a small sample application that demonstrates the issue?

                thanks,
                Oliver Goldman | Adobe AIR Engineering

                • 5. Re: AIR 1.0 System Requirements
                  jonheal Level 1
                  I could supply a sample application, but my problem is more fundamental than that:

                  AIR 1.0 will simply not install on the G3.

                  I can send you the complete crash log if that would be helpful (it's too big to post in this forum).
                  • 6. Re: AIR 1.0 System Requirements
                    Oliver Goldman Adobe Employee
                    Please submit the crash log, etc. at www.adobe.com/go/wish.

                    thanks,
                    Oliver Goldman | Adobe AIR Engineering

                    • 7. Re: AIR 1.0 System Requirements
                      jonheal Level 1
                      I'm afraid the .airinstall.log file was not too informative. Here's the extent of it:

                      Performing runtime install

                      I'll post the crash log at the URL you mentioned earlier. I think it crashed very early in the installation process because I don't even see the OS X app launch animation when I run the installer.
                      • 8. Re: AIR 1.0 System Requirements
                        jonheal Level 1
                        The crash log won't post to /go/wish either. It's too big.

                        The following error(s) must be corrected before this form can be completed:
                        Issue description can not exceed 2000 characters!
                        • 9. Re: AIR 1.0 System Requirements
                          Oliver Goldman Adobe Employee
                          Any chance you are running MobyDock? It will cause the installer to crash. That's the only issue we're currently aware of that could impact you, even on the G3.

                          Can you post the stack trace somewhere and provide a URL?

                          thanks,
                          Oliver Goldman | Adobe AIR Engineering

                          • 10. Re: AIR 1.0 System Requirements
                            jonheal Level 1
                            quote:

                            Originally posted by: Oliver Goldman
                            Any chance you are running MobyDock? It will cause the installer to crash. That's the only issue we're currently aware of that could impact you, even on the G3.

                            Can you post the stack trace somewhere and provide a URL?

                            thanks,
                            Oliver Goldman | Adobe AIR Engineering




                            I posted the crash log to our web site:

                            http://www.theheals.org/misc/air_crash_log.txt

                            No, I'm not running MobyDock. The system is pretty plain vanilla except for one item. I installed software for a Phidget USB Interface.
                            • 11. Re: AIR 1.0 System Requirements
                              jonheal Level 1
                              By the way, thanks for your help in trying to resolve this install failure for me. I realize that my POS machine hardly qualifies as your target market, but I keep it around for one specific purpose, and that purpose -- right now anyway -- requires AIR.
                              • 12. AIR 1.0 System Requirements
                                jonheal Level 1
                                Well, I unistalled the Phidget stuff, restarted and then attempted to install AIR 1.0 again. No luck. Same thread crash. At this point, I'm out of ideas.

                                I guess I have until November, anyway.

                                :-)
                                • 13. AIR 1.0 System Requirements
                                  jonheal Level 1
                                  I tried to get cute.

                                  I pulled the Adobe AIR.framework out the AIR 1.0 installer's Package Contents, and replaced the BETA AIR frameworks in /Library/Frameworks with it, and then I restarted.

                                  When I tried to launch my AIR application, I got a warning telling me my app uses a version of AIR no longer supported, so I thought, "Oh well, I guess that didn't work," and I re-ran the BETA 3.0 installer.

                                  This time, when the Installer window opened, it presented a button entitled "Continue Installation" (I think). A short time later, it completed.

                                  My AIR app runs fine again, however, I no longer get the popup telling me a new version of AIR is available.

                                  When I look in /Library/Frameworks/Adobe AIR.framework/Versions, I see 1.0.6, 1.0, and Current folders. The Current alias point to 1.0, so I wonder if I'm now running some freakish melding of 1.0 and the 3.0 BETA.
                                  • 14. Re: AIR 1.0 System Requirements
                                    Oliver Goldman Adobe Employee
                                    You're probably mostly ok at this point; installing beta 3 after 1.0 is a supported workflow. However, you may have the wrong versions of the Application Installer and AIR Uninstaller installed, which could cause problems.

                                    We're not sure what this crash is yet, but it appears to be UI-related. You might want to try the following to make sure you're in a sane state:
                                    1) Delete the "1.0" directory from the AIR framework
                                    2) Run the 1.0 installer from the command line with the argument "-silent"

                                    Oliver Goldman | Adobe AIR Engineering

                                    • 15. Re: AIR 1.0 System Requirements
                                      jonheal Level 1
                                      quote:

                                      Originally posted by: Oliver Goldman
                                      You're probably mostly ok at this point; installing beta 3 after 1.0 is a supported workflow. However, you may have the wrong versions of the Application Installer and AIR Uninstaller installed, which could cause problems.

                                      We're not sure what this crash is yet, but it appears to be UI-related. You might want to try the following to make sure you're in a sane state:
                                      1) Delete the "1.0" directory from the AIR framework
                                      2) Run the 1.0 installer from the command line with the argument "-silent"

                                      Oliver Goldman | Adobe AIR Engineering




                                      I'm not a regular user of terminal on OS X. Can you give me the syntax for launching the installer silently? This doesn't work:

                                      open /Volumes/GRANGER/Adobe Air Installer.app -silent

                                      (Where GRANGER is the name of the drive and the installer is at its root.)
                                      • 16. Re: AIR 1.0 System Requirements
                                        Oliver Goldman Adobe Employee
                                        "/Volumes/GRANGER/Adobe AIR Installer.app/Contents/MacOS/Adobe AIR Installer" -silent

                                        Note that the quotes are required since the path contains spaces.

                                        Oliver Goldman | Adobe AIR Engineering

                                        • 17. Re: AIR 1.0 System Requirements
                                          jonheal Level 1
                                          I'm ever the optimist, but unfortunately, no warm fuzzies. Here's my Terminal ouput:

                                          Last login: Fri Mar 7 14:37:03 on ttyp1
                                          Welcome to Darwin!
                                          GRANGER:~ jon$ "/Volumes/GRANGER/Adobe AIR Installer.app/Contents/MacOS/Adobe AIR Installer" -silent
                                          Adobe AIR is currently not installed
                                          Installing with version 1.0
                                          status Scheduling runtime installation operations
                                          status Beginning runtime installation
                                          Illegal instruction
                                          GRANGER:~ jon$
                                          • 18. Re: AIR 1.0 System Requirements
                                            jonheal Level 1
                                            In a last ditch effort, I reformatted the G3 iMac's hard drive and reinstalled OS X. The beta 3 still intalls and worls fine. But 1.0 fails on install. This time, application errors were set to the default level of reporting on the machine, so the install failed silently. I wouldn't have known anything had crashed unless I looked in CrashReporter.

                                            Another user with a G3 MacBook had reported that after double-clicking the 1.0 installer, "nothing happened." I'm thinking that his install attempt failed silently, too. (Last entry in this thread: )

                                            Not that I can blame it, but 1.0 does not seem to like G3s. I haven't heard a response to this issue in a while, but I'm hoping there's still some motivation to try to figure out the problem. :-)
                                            • 19. Re: AIR 1.0 System Requirements
                                              Oliver Goldman Adobe Employee
                                              It looks like this was probably a bugfix that's incompatible with the G3s, although we don't know why. I'll check again and see if we were able to deduce anything from the stack trace you provided.

                                              Oliver Goldman | Adobe AIR Engineering

                                              • 20. Re: AIR 1.0 System Requirements
                                                Oliver Goldman Adobe Employee
                                                Nothing yet on the crash investigation, but official system requirements start with G4s: http://www.adobe.com/products/air/systemreqs/. That makes it unlikely this will get addressed. (I will post back if it gets tracked down.)

                                                regards,
                                                Oliver Goldman | Adobe AIR Engineering

                                                • 21. Re: AIR 1.0 System Requirements
                                                  Phillipz Level 1
                                                  Oliver Goldman, thank you! It’s very useful